llvm-polly-3.9.0-5-rosa2016.1.i586.rpm


Advertisement

Description

llvm-polly - Polyhedral optimizations for LLVM

Property Value
Distribution ROSA 2016.1
Repository ROSA Main i586
Package filename llvm-polly-3.9.0-5-rosa2016.1.i586.rpm
Package name llvm-polly
Package version 3.9.0
Package release 5-rosa2016.1
Package architecture i586
Package type rpm
Category Development/Other
Homepage http://llvm.org/
License MIT
Maintainer -
Download size 1.07 MB
Installed size 3.39 MB
Polly is a polyhedral optimizer for LLVM.
Using an abstract mathematical representation it analyzes and optimizes
the memory access pattern of a program. This includes data-locality
optimizations for cache locality as well as automatic parallelization
for thread-level and SIMD parallelism.
Our overall goal is an integrated optimizer for data-locality and
parallelism that takes advantage of multi-cores, cache hierarchies,
short vector instructions as well as dedicated accelerators.

Alternatives

Package Version Architecture Repository
llvm-polly-7.0.1-2-rosa2016.1.x86_64.rpm 7.0.1 x86_64 ROSA Main Updates
llvm-polly-7.0.1-2-rosa2016.1.i586.rpm 7.0.1 i586 ROSA Main Updates
llvm-polly-3.9.0-5-rosa2016.1.x86_64.rpm 3.9.0 x86_64 ROSA Main
llvm-polly - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libLLVM-3.9.so -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.14) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
LLVMPolly.so -
llvm-polly == 3.9.0-5:2016.1

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package llvm-polly-3.9.0-5-rosa2016.1.i586.rpm
Source Package llvm-3.9.0-5.src.rpm

Install Howto

  1. Enable ROSA Main repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install llvm-polly rpm package:
    # urpmi llvm-polly

Files

Path
/usr/bin/pollyc++
/usr/bin/pollycc
/usr/lib/LLVMPolly.so

Changelog

2017-02-04 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.9.0-5
- (4dd0dc5) MassBuild#1230: Increase release tag
2016-10-31 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.9.0-4
- (3357015) lib(64)llvm-devel should now require Polly as well
- (Evgenii Shatokhin: 151d224) Moved dev. files for Polly into lib(64)llvm-devel
- (Evgenii Shatokhin: 151d224) lib(64)llvm-devel already refers to these through
- (Evgenii Shatokhin: 151d224) /usr/lib/cmake/llvm/LLVMExports.cmake, so llvm-polly-devel should always
- (Evgenii Shatokhin: 151d224) be installed along with lib(64)llvm-devel.
- (Evgenii Shatokhin: 151d224) It is more reliable to keep these development files in the same package
- (Evgenii Shatokhin: 151d224) as the files for LLVM in this case.
2016-10-31 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.9.0-3
- (0806328) Restored LLVMHello.so
- (0806328) As it turned out, the plugin is actually needed (or at least, checked
- (0806328) for) when building some packages, e.g. "umbrello".
2016-10-14 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.9.0-2
- (618275f) MassBuild#1169: Increase release tag
2016-09-11 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.9.0-1
- (927cb29) Added a missing curly brace
- (Evgenii Shatokhin: 9b14190) Updated to version 3.9.0
- (Evgenii Shatokhin: 9b14190) Most of the work was done in
- (Evgenii Shatokhin: 9b14190) https://abf.io/import/llvm/pull_requests/2
- (Evgenii Shatokhin: 9b14190) I have reworked clang-mandriva.patch to keeps it (as clang-rosa.patch).
- (Evgenii Shatokhin: 9b14190) It seems, it did not actually detect ROSA in the past (it checked that
- (Evgenii Shatokhin: 9b14190) /etc/lsb-release has DISTRIB_ID=Mandriva<...> while we have "Rosa<...>"
- (Evgenii Shatokhin: 9b14190) there). However, it could be useful to align the default Clang flags
- (Evgenii Shatokhin: 9b14190) with Ubuntu, Fedora and such.
2016-06-07 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.8.0-2
- (047b84f) Move plugins into individual package
2016-05-15 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.8.0-1
- (8bf200e) Do not delete library archives, they are needed for development
- (Evgenii Shatokhin: be2e792) Install LLVMPolly.so to the correct location
- (Evgenii Shatokhin: 950faf1) Revisited the set of files to be installed, removed clang-doc
- (Evgenii Shatokhin: dc8392a) Restored the workaround for a bug in GCC 4.9 (-fno-devirtualize)
- (Evgenii Shatokhin: f7f2188) Added 2 more patches, revisited build options
- (Evgenii Shatokhin: f7f2188) 1. Added 2 patches (from ArchLinux, re-diffed) to fix
- (Evgenii Shatokhin: f7f2188) https://llvm.org/bugs/show_bug.cgi?id=23529
- (Evgenii Shatokhin: f7f2188) 2. Revisited the set of cmake options.
- (Evgenii Shatokhin: 0e6a49d) Require Cmake explicitly
- (Evgenii Shatokhin: 65f0123) Updated to version 3.8.0, the first take
2016-01-18 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.7.1-2
- (ff0f32e) Move libLLVM-3.7.1.so from libllvm-devel to libllvm
- (ff0f32e) The components from libdri-drivers (e.g. /usr/lib/dri/swrast_dri.so)
- (ff0f32e) need libLLVM-3.7.1.so which is in "Provides" of libllvm3.7. However,
- (ff0f32e) libllvm3.7 package does not actually contain that file,
- (ff0f32e) /usr/lib/libLLVM-3.7.1.so symlink is in libllvm-devel. This leads to
- (ff0f32e) problems.
- (ff0f32e) Let us move the symlink to libllvm3.7 package.
2016-01-14 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.7.1-1
- (8541975) List clang-tidy scripts as well
- (Evgenii Shatokhin: f3e5fa9) Updated to version 3.7.1
- (Evgenii Shatokhin: f3e5fa9) This is mostly a bugfix release: a number of fixes are made in the core
- (Evgenii Shatokhin: f3e5fa9) parts of LLVM and in AMDGPU-related components.
- (Evgenii Shatokhin: f3e5fa9) However, this version is not fully ABI-compatible with 3.7.0.
- (Evgenii Shatokhin: f3e5fa9) Details:
- (Evgenii Shatokhin: f3e5fa9) http://lists.llvm.org/pipermail/llvm-announce/2016-January/000066.html
2015-12-20 - Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 3.7.0-3
- (ee7ddbd) Fix a couple broken symlinks

See Also

Package Description
lm1100-1.0.2a-22-rosa2016.1.i586.rpm Linux Lexmark 1000/1100 Printer Driver
lm_sensors-3.4.0-4-rosa2016.1.i586.rpm Hardware monitoring tools
lmdb-0.9.14-3-rosa2016.1.i586.rpm Memory-mapped key-value database
lmms-1.1.90-4-rosa2016.1.i586.rpm Linux MultiMedia Studio
lndir-1.0.2-7-rosa2016.1.i586.rpm Create a shadow directory of symbolic links to another directory tree
locales-2.24-6-rosa2016.1.i586.rpm Base files for localization
locales-aa-2.24-6-rosa2016.1.i586.rpm Base files for localization (Afar)
locales-af-2.24-6-rosa2016.1.i586.rpm Base files for localization (Afrikaans)
locales-ak-2.24-6-rosa2016.1.i586.rpm Base files for localization (Akan)
locales-am-2.24-6-rosa2016.1.i586.rpm Base files for localization (Amharic)
locales-anp-2.24-6-rosa2016.1.i586.rpm Base files for localization (Angika)
locales-ar-2.24-6-rosa2016.1.i586.rpm Base files for localization (Arabic)
locales-as-2.24-6-rosa2016.1.i586.rpm Base files for localization (Assamese)
locales-ast-2.24-6-rosa2016.1.i586.rpm Base files for localization (Asturian)
locales-ayc-2.24-6-rosa2016.1.i586.rpm Base files for localization (Aymara)
Advertisement
Advertisement